> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /getapp/products/alternatives

> Get GetApp (getapp.com) product alternatives by alias, category/alias path, or product URL

**Price:** 20 credits

**⚠️ Common errors:** 412: Product not found



## OpenAPI

````yaml /openapi/reviews-software-employer.json post /api/getapp/products/alternatives
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/getapp/products/alternatives:
    post:
      tags:
        - /getapp
      summary: /getapp/products/alternatives
      description: >-
        Get GetApp (getapp.com) product alternatives by alias, category/alias
        path, or product URL


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Product not found
      operationId: __api_getapp_products_alternatives_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetappProductAlternativesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetappAlternative'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetappProductAlternativesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        product:
          type: string
          minLength: 1
          pattern: >-
            ^(?:https?://[^\s]+|//[^\s]+|(?:www\.|getapp\.com)[^\s]*|/?[A-Za-z0-9][A-Za-z0-9._/\-]*)$
        count:
          type: integer
          minimum: 1
        min_rating:
          anyOf:
            - type: number
              maximum: 5
              minimum: 0
            - type: 'null'
        pricing_model:
          items:
            $ref: '#/components/schemas/GetappPricingModel'
          type: array
          default: []
        devices:
          items:
            $ref: '#/components/schemas/GetappDevice'
          type: array
          default: []
        organization_types:
          items:
            $ref: '#/components/schemas/GetappOrganizationType'
          type: array
          default: []
      type: object
      required:
        - product
        - count
    GetappAlternative:
      properties:
        '@type':
          type: string
          default: GetappAlternative
        id:
          type: string
        seo_id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          type: string
        name:
          type: string
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_premium:
          anyOf:
            - type: boolean
            - type: 'null'
        ease_of_use_rating:
          anyOf:
            - type: number
            - type: 'null'
        customer_support_rating:
          anyOf:
            - type: number
            - type: 'null'
        value_for_money_rating:
          anyOf:
            - type: number
            - type: 'null'
        functionality_rating:
          anyOf:
            - type: number
            - type: 'null'
        recommendation_rating:
          anyOf:
            - type: number
            - type: 'null'
        has_free_trial:
          anyOf:
            - type: boolean
            - type: 'null'
        has_free_version:
          anyOf:
            - type: boolean
            - type: 'null'
        pricing:
          anyOf:
            - $ref: '#/components/schemas/GetappPricing'
            - type: 'null'
        top_features:
          items:
            type: string
          type: array
          default: []
        devices:
          items:
            type: string
          type: array
          default: []
        organization_types:
          items:
            type: string
          type: array
          default: []
        integrations:
          items:
            type: string
          type: array
          default: []
        url:
          anyOf:
            - type: string
            - type: 'null'
        position:
          type: integer
      type: object
      required:
        - id
        - alias
        - name
        - position
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GetappPricingModel:
      type: string
      enum:
        - free
        - open-source
        - free-trial
        - one-time-license
        - subscription
    GetappDevice:
      type: string
      enum:
        - android
        - chromebook
        - ipad
        - iphone
        - linux
        - mac
        - web-based
        - windows
    GetappOrganizationType:
      type: string
      enum:
        - freelancers
        - large-enterprises
        - mid-size-business
        - non-profits
        - public-administrations
        - small-business
    GetappPricing:
      properties:
        '@type':
          type: string
          default: GetappPricing
        currency:
          anyOf:
            - type: string
            - type: 'null'
        currency_symbol:
          anyOf:
            - type: string
            - type: 'null'
        starting_amount:
          anyOf:
            - type: number
            - type: 'null'
        periodicity:
          anyOf:
            - type: string
            - type: 'null'
        pricing_model:
          anyOf:
            - type: string
            - type: 'null'
        no_credit_card_required:
          anyOf:
            - type: boolean
            - type: 'null'
        price_range:
          anyOf:
            - type: integer
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
        plans:
          items:
            $ref: '#/components/schemas/GetappPricingPlan'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    GetappPricingPlan:
      properties:
        '@type':
          type: string
          default: GetappPricingPlan
        name:
          type: string
        starting_price:
          anyOf:
            - type: number
            - type: 'null'
        payment_frequency_code:
          anyOf:
            - type: integer
            - type: 'null'
        price_type_code:
          anyOf:
            - type: integer
            - type: 'null'
        pricing_model_code:
          anyOf:
            - type: integer
            - type: 'null'
        attributes:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````